Subject: Language Proficiency Requirements for International Nurses
From: "Amos Sydnor" <[email-masked]>
To: <[email-masked]>
Date: Mon, 17 Nov 2025 18:57:16 +0200

To Whom it May Concern:

Good day, I hope this message finds you well.  My name is Amos Sydnor, and
I am the Knowledge and Data Quality Manager at TruMerit (formerly CGFNS
International).  TruMerit is a not-for-profit organization based in the
United States that evaluates the educational and professional licensing
credentials of internationally educated health care professionals who
desire to work outside of their countries of education
<https://linkprotect.cudasvc.com/url?a=http%3a%2f%2fwww.trumerit.org&c=E,1
,Z6gNa3Dur0scBd93rL7si1xHWP770-FaWYwPXwHTEJ4v2SyNm3gf3tY61V2G_bPv_C6G1KPM8
fGkNl5D42HalOFPvY5ooSRUMPXytk--34jHZSgaoZ2WMjl0&typo=1> www.trumerit.org .

 

I am writing to inquire if nurses educated outside of Estonia are required
to meet certain language proficiency requirements to practice in Estonia.
Can you please indicate which exams they are required to take and the
passing scores?  I would greatly appreciate any information that you can
provide.

Please do not hesitate to contact me if you have any questions.

Best regards,

 

Amos Sydnor, B.BA
Knowledge and Data Quality Manager
TruMerit 
3600 Market St STE 400
Philadelphia, PA 19104
(215) 243-5826 |  <mailto:[email-masked]> [email-masked]
 
 <https://www.trumerit.org/> Website |
<https://www.trumerit.org/podcast/> Podcast |
<https://www.linkedin.com/company/trumerit-inc> LinkedIn

TruMerit (formerly CGFNS International) is an NGO operating in
consultative status with the United Nations.